- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IActiveControl
IBindable
ICache
ICacheDependency
ICallbackEventHandler
IDataRenderer
IModule
IRenderable
IService
IStatePersister
IStyleable
ITextWriter
IUser
Prado
PradoBase
TApplication
TApplicationComponent
TApplicationConfiguration
TApplicationMode
TApplicationStatePersister
TComponent
TComponentReflection
TDraggableConstraint
TDropContainerEventParameter
TEnumerable
TEventParameter
TModule
TPropertyValue
TReflectionClass
TService
TShellApplication

Keyword

# Class TShellApplication

    TComponent
       |
       --TApplication
          |
          --TShellApplication

TShellApplication class.

TShellApplication is the base class for developing command-line PRADO tools that share the same configurations as their Web application counterparts.

A typical usage of TShellApplication in a command-line PHP script is as follows:

     require_once('path/to/prado.php');
     $application=new TShellApplication('path/to/application.xml');
     $application->run();
     // perform command-line tasks here

Since the application instance has access to all configurations, including path aliases, modules and parameters, the command-line script has nearly the same accessibility to resources as the PRADO Web applications.

Since: 3.1.0
Author: Qiang Xue <qiang.xue@gmail.com>

Constants Inherited From TApplication
CONFIGCACHE_FILE, CONFIG_FILE, CONFIG_FILE_EXT, GLOBAL_FILE, PAGE_SERVICE_ID, RUNTIME_PATH, STATE_DEBUG, STATE_NORMAL, STATE_OFF, STATE_PERFORMANCE,

Method Summary
void | run () Runs the application.

Methods Inherited From TApplication

TApplication::applyConfiguration(), TApplication::clearGlobalState(), TApplication::completeRequest(), TApplication::flushOutput(), TApplication::getApplicationStatePersister(), TApplication::getAssetManager(), TApplication::getAuthorizationRules(), TApplication::getBasePath(), TApplication::getCache(), TApplication::getConfigurationFile(), TApplication::getErrorHandler(), TApplication::getGlobalization(), TApplication::getGlobalState(), TApplication::getID(), TApplication::getMode(), TApplication::getModule(), TApplication::getModules(), TApplication::getPageServiceID(), TApplication::getParameters(), TApplication::getRequest(), TApplication::getRequestCompleted(), TApplication::getResponse(), TApplication::getRuntimePath(), TApplication::getSecurityManager(), TApplication::getService(), TApplication::getSession(), TApplication::getUniqueID(), TApplication::getUser(), TApplication::initApplication(), TApplication::loadGlobals(), TApplication::onAuthentication(), TApplication::onAuthenticationComplete(), TApplication::onAuthorization(), TApplication::onAuthorizationComplete(), TApplication::onBeginRequest(), TApplication::onEndRequest(), TApplication::onError(), TApplication::onLoadState(), TApplication::onLoadStateComplete(), TApplication::onPreFlushOutput(), TApplication::onPreRunService(), TApplication::onSaveState(), TApplication::onSaveStateComplete(), TApplication::resolvePaths(), TApplication::run(), TApplication::runService(), TApplication::saveGlobals(), TApplication::setApplicationStatePersister(), TApplication::setAssetManager(), TApplication::setBasePath(), TApplication::setCache(), TApplication::setConfigurationFile(), TApplication::setErrorHandler(), TApplication::setGlobalization(), TApplication::setGlobalState(), TApplication::setID(), TApplication::setMode(), TApplication::setModule(), TApplication::setPageServiceID(), TApplication::setRequest(), TApplication::setResponse(), TApplication::setRuntimePath(), TApplication::setSecurityManager(), TApplication::setService(), TApplication::setSession(), TApplication::setUser(), TApplication::startService()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constant Summary

Method Details

## run

public void run | ()

Runs the application.

This method overrides the parent implementation by initializing application with configurations specified when it is created.

Output
Exception